installation fails for latest build

Discuss DVBLink on Raspberry Pi platform here!

installation fails for latest build

Postby ninovanhooff » Sat Jun 03, 2017 7:50 pm

I am on a fully up to date RPI 2 (raspbian wheezy)

Code: Select all
sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade



Updating to the latest build fails:
Code: Select all
sudo dpkg -i dvblink-server_6.0.0_armhf_wheezy.deb
(Reading database ... 74353 files and directories currently installed.)
Preparing to replace dvblink-server 6.0.0 (using dvblink-server_6.0.0_armhf_wheezy.deb) ...
Unpacking replacement dvblink-server ...
upgrade
Setting up dvblink-server (6.0.0) ...
/usr/local/bin/dvblink/dvblink_reg: /usr/lib/arm-linux-gnueabihf/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by /usr/local/bin/dvblink/dvblink_reg)
/usr/local/bin/dvblink/dvblink_reg: /lib/arm-linux-gnueabihf/libc.so.6: version `GLIBC_2.17' not found (required by /usr/local/bin/dvblink/lib/libcurl.so.4)
/usr/local/bin/dvblink/dvblink_reg: /lib/arm-linux-gnueabihf/libc.so.6: version `GLIBC_2.17' not found (required by /usr/local/bin/dvblink/lib/libcares.so.2)
dpkg: error processing dvblink-server (--install):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 dvblink-server



What could be the issue?

Installed version: 6.0.0 build: 14072
New version: 6.0.0 build: 14499

Note that the TVSource did manage to update, and is at 14499. I can not watch tv anymore, The Source page shows that there are no compatible tuners detected, event though I did not change anything about my setup, using a TVButler tuner
ninovanhooff
 
Posts: 3
Joined: Sat Jun 03, 2017 7:46 pm


Re: installation fails for latest build

Postby the_man » Tue Jun 06, 2017 2:36 pm

Please try to make a backup of the DVBlink server settings and then make a full reinstall of the app.
After what restore settings.
http://dvblogic.com/wiki/index.php/How_ ... nd_restore

Or even better make a full reinstalltion and fresh new configuration.
NETGEAR RNDU2000; Synology DS112j, DS 212j, DS213+, DS 712+; Western Digital WD ex2; Asustor AS3, RPI2 ...
PCTV 460,461e,292e; TT 4400, 4650CI;DVBSKy S960; DD octopus net; Inverto sat2ip multibox; TBS DVB-C ...
the_man
 
Posts: 4696
Joined: Mon Dec 02, 2013 1:11 pm

Re: installation fails for latest build

Postby ninovanhooff » Tue Jun 06, 2017 5:42 pm

well, the logs are complaining about dependecies for installing dvb-link server. When I re-install the server, those dependencies will still be a problem.

On RPI's website, I see that Raspbian Jessie is available for 2 years now.
https://www.raspberrypi.org/blog/raspbi ... e-is-here/
I am still using Wheezy. I have good hopes that more recent versions of the dependencies come in if I update. But I did notice that the installation package is called dvblink-server_6.0.0_armhf_wheezy.deb.

Can anyone tell me on which version of Raspbian DVBlink is tested? Do you think upgrading will fix my problem?
ninovanhooff
 
Posts: 3
Joined: Sat Jun 03, 2017 7:46 pm

Re: installation fails for latest build

Postby ninovanhooff » Tue Jun 06, 2017 9:09 pm

I went ahead and just tried it: upgrading to jessie solved my problem

Guide: https://www.raspberrypi.org/forums/view ... p?t=121880
ninovanhooff
 
Posts: 3
Joined: Sat Jun 03, 2017 7:46 pm

Re: installation fails for latest build

Postby the_man » Thu Jun 08, 2017 8:27 am

Nice to hear it work now.
NETGEAR RNDU2000; Synology DS112j, DS 212j, DS213+, DS 712+; Western Digital WD ex2; Asustor AS3, RPI2 ...
PCTV 460,461e,292e; TT 4400, 4650CI;DVBSKy S960; DD octopus net; Inverto sat2ip multibox; TBS DVB-C ...
the_man
 
Posts: 4696
Joined: Mon Dec 02, 2013 1:11 pm


Return to DVBLink TV Server for Raspberry Pi

Who is online

Users browsing this forum: No registered users and 2 guests

cron